News

Amazon Secures Older Fire TV Devices with ADB Connection Prompts

By Nitish Singh / August 14, 2018

The Android Debug Bridge or ADB is a debug tool that is used by developers to make changes to Android devices. Whenever anyone attempts to make any changes to a device, a prompt is generated on the screen which was not the case for older generation Amazon Fire TV devices. Amazon updated older Fire TV 1 and 2, Fire TV Box and Fire TV Edition televisions to the latest 5.2.6.6. firmware which secures vulnerabilities in the Android Debug Bridge.

Amazon Fire TV ADB

Image Courtesy of AFTV News

ADB is mostly used for sideloading apps onto Android devices if they are not available on the default store like the Amazon Appstore or the Google Play Store. ADB connections are disabled by default but enabling the feature is quite simple. All you need to do is head to the Settings Page and browse to developer options. In the new menu, simply tap the unchecked box beside ADB debugging to enable the feature. Previously, once a device was approved for a connection, it would remain approved permanently which posed critical security risks. With the new update, each connection needs to be approved manually.

The ADB vulnerabilities were never concerning for newer generation Amazon Fire devices as Fire OS 6 prompted users for accepting ADB connections out of the box. However, it was not the case for Fire OS 5 devices. The new update will protect older devices from the malware worm that was infecting Fire TVs earlier this year and also prevents other ADB exploits. The infamous malware worm was capable of freely accepting all connections, and it allowed itself to spread to other Fire TV devices. To keep yourself safe from vulnerabilities, update your Fire TV to the latest firmware at the earliest.

Do you still use an older generation Fire TV device? Let us know in the comments below. Also, to get instant tech updates, follow TechNadu’s Facebook page, and Twitter handle.



For a better user experience we recommend using a more modern browser. We support the latest version of the following browsers: For a better user experience we recommend using the latest version of the following browsers: